summaryrefslogtreecommitdiffstats
path: root/scripts/run_conky.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run_conky.sh')
-rwxr-xr-xscripts/run_conky.sh27
1 files changed, 20 insertions, 7 deletions
diff --git a/scripts/run_conky.sh b/scripts/run_conky.sh
index 7648259..e718851 100755
--- a/scripts/run_conky.sh
+++ b/scripts/run_conky.sh
@@ -1,16 +1,19 @@
#!/bin/bash
if [ "$1" != "start" ]; then
- killall -9 conky
- killall -9 rainlendar2
- killall -9 rainlendar2.bin
+ killall -9 conky &> /dev/null
+ killall -9 rainlendar2 &> /dev/null
+ killall -9 rainlendar2.bin &> /dev/null
fi
if [ "$1" != "stop" ]; then
- python2 /opt/scripts/unlock.py gui || exit
+#No way to do it anymore
+ python /opt/scripts/unlock.py gui || exit
- killall -9 gpg-agent
- pass test
+ killall -9 gpg-agent &> /dev/null
+
+ /opt/scripts/restart-gpg.sh
+ pass test > /dev/null
conky -q -d -c /etc/conky/sysinfo.conf
conky -q -d -c /etc/conky/netstat.conf
@@ -20,5 +23,15 @@ if [ "$1" != "stop" ]; then
# todo should be loaded before forecast
sleep 0.3
conky -q -d -c /etc/conky/forecast.conf
- /opt/rainlendar2/rainlendar2 --quiet &
+
+
+# sleep 1
+# ps xa | grep gpg-agent | grep -v gpg &> /dev/null
+# if [ $? -ne 0 ]; then
+# /opt/scripts/restart-gpg.sh
+# fi
+
+
+# Temporarily disabled. Only 2.16 works with google now and we don't have license. Might worth buying if use desktop again.
+# /opt/rainlendar2/rainlendar2 --quiet &
fi